> For the complete documentation index, see [llms.txt](https://docs.reviactyl.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.reviactyl.app/application-api/node-deployment.md).

# Node Deployment

## GET /nodes/deployable

> Finds any nodes that are available using the given deployment criteria. This works\
> similarly to the server creation process, but allows you to pass the deployment object\
> to this endpoint and get back a list of all Nodes satisfying the requirements

```json
{"openapi":"3.1.0","info":{"title":"Reviactyl","version":"0.0.1"},"servers":[{"url":"https://reviactyl.test/api/application"}],"paths":{"/nodes/deployable":{"get":{"operationId":"nodes.nodeDeployment","summary":"Finds any nodes that are available using the given deployment criteria. This works\nsimilarly to the server creation process, but allows you to pass the deployment object\nto this endpoint and get back a list of all Nodes satisfying the requirements","tags":["NodeDeployment"],"parameters":[{"name":"page","in":"query","schema":{"type":"integer"}},{"name":"memory","in":"query","required":true,"schema":{"type":"integer","minimum":0}},{"name":"disk","in":"query","required":true,"schema":{"type":"integer","minimum":0}},{"name":"location_ids[]","in":"query","schema":{"type":"array","items":{"type":"integer"}}},{"name":"per_page","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{}}}}},"403":{"$ref":"#/components/responses/AuthorizationException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}},"components":{"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.reviactyl.app/application-api/node-deployment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
